# Night mode set state

An action block that sets the night user interface mode.

The fiber will proceed immediately without pause.

Night mode can only be enabled while the UI is in car or “desk” mode.

An alternative to this is block is to use the ADB shell command or Shell command superuser block to execute: `cmd uimode night <yes|no|auto>`.

Note! Manufacturers can choose to prevent apps from using the API to toggle night mode, see alternative above.

## Input arguments

- Night mode — to turn the night UI mode on or off, default is Auto.